/* ------------------------------------------------------------------------- */
/*                                                                           */
/* Copyright (c) 2003 The Open Group                                         */
/*                                                                           */
/* Permission is hereby granted, free of charge, to any person obtaining a   */
/* copy of this software (the "Software"), to deal in the Software without   */
/* restriction, including without limitation the rights to use, copy,        */
/* modify, merge, publish, distribute, sublicense, and/or sell copies of     */
/* the Software, and to permit persons to whom the Software is furnished     */
/* to do so, subject to the following conditions:                            */
/*                                                                           */
/* The above copyright notice and this permission notice shall be included   */
/* in all copies or substantial portions of the Software.                    */
/*                                                                           */
/* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS   */
/* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF                */
/* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.    */
/* IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY      */
/* CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT */
/* OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR  */
/* THE USE OR OTHER DEALINGS IN THE SOFTWARE.                                */
/*                                                                           */
/* ------------------------------------------------------------------------- */
/*                                                                           */
/* File revision information                                                 */
/*                                                                           */
/* $Source: /mnt/cvslocal/sdk4/java/org/opengroup/arm40/metric/ArmTransactionWithMetricsDefinition.java,v $ */
/* $Revision: 1.1 $ */
/* $Date: 2005/03/14 15:14:53 $ */
/*                                                                           */
/* ------------------------------------------------------------------------- */

package org.opengroup.arm40.metric;

import org.opengroup.arm40.transaction.ArmTransactionDefinition;

/**
 * Subclasses <code>ArmTransactionDefinition</code> to add a binding with an 
 * <code>ArmMetricGroupDefinition</code>.
 * It contains the metadata that is the same for all
 * <code>ArmTransactionWithMetrics</code> (or 
 * <code>ArmTranReportWithMetrics</code>) instances with the same identity.
 * The properties that are accessible via this interface are the same 
 * as <code>ArmTransactionDefinition</code>, plus the following: 
 * <ul>
 * <li>
 * The metric group definition through which the metric definitions are 
 * known. The metric definitions contain the metadata about the metrics. 
 * </li>
 * </ul>
 * <p/>
 * Objects implementing this interface are created using 
 * {@link ArmMetricFactory#newArmTransactionWithMetricsDefinition}.
 * 
 * @author ARM Working Group of The Open Group
 */

public interface ArmTransactionWithMetricsDefinition extends ArmTransactionDefinition {

// No Public Constructors

// Public Instance Methods 
// (in addition to several inherited from ArmTranscationDefinition)

    /**
     * @return a group of definitions of the metrics associated with this 
     * object. 
     */
    public ArmMetricGroupDefinition getMetricGroupDefinition();
}
