/* ------------------------------------------------------------------------- */
/*                                                                           */
/* Copyright (c) 2003 The Open Group                                         */
/*                                                                           */
/* Permission is hereby granted, free of charge, to any person obtaining a   */
/* copy of this software (the "Software"), to deal in the Software without   */
/* restriction, including without limitation the rights to use, copy,        */
/* modify, merge, publish, distribute, sublicense, and/or sell copies of     */
/* the Software, and to permit persons to whom the Software is furnished     */
/* to do so, subject to the following conditions:                            */
/*                                                                           */
/* The above copyright notice and this permission notice shall be included   */
/* in all copies or substantial portions of the Software.                    */
/*                                                                           */
/* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS   */
/* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF                */
/* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.    */
/* IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY      */
/* CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT */
/* OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR  */
/* THE USE OR OTHER DEALINGS IN THE SOFTWARE.                                */
/*                                                                           */
/* ------------------------------------------------------------------------- */
/*                                                                           */
/* File revision information                                                 */
/*                                                                           */
/* $Source: /mnt/cvslocal/sdk4/java/org/opengroup/arm40/tranreport/ArmApplicationRemote.java,v $ */
/* $Revision: 1.1 $ */
/* $Date: 2005/03/14 15:14:53 $ */
/*                                                                           */
/* ------------------------------------------------------------------------- */

package org.opengroup.arm40.tranreport;

import org.opengroup.arm40.transaction.ArmApplication;

/**
 * Represents an instance of an application executing on a remote system.
 * It differs from <code>ArmApplication</code> in that 
 * <code>ArmApplication</code> represents an application executing on the 
 * local system.
 * <p/>
 * ArmApplicationRemote provides an anchor point for associating 
 * <code>ArmTranReport</code> objects with a system's network address. 
 * It adds the following attribute to those in <code>ArmApplication</code>:
 * <ul>
 * <li>
 * <b>System address</b>. The system address is the address 
 * (format and address byte array) of the system.
 * </li>
 * </ul>
 *  
 * <p/>Objects implementing this interface are created using
 * {@link ArmTranReportFactory#newArmApplicationRemote}.
 * 
 * @author ARM Working Group of The Open Group
 */
public interface ArmApplicationRemote extends ArmApplication {

// No Public Constructors

// Public Instance Methods

    /**
     * @return the system address of the system executing the application.
     */
    public ArmSystemAddress getSystemAddress();
}
