/* ------------------------------------------------------------------------- */
/*                                                                           */
/* Copyright (c) 2003 The Open Group                                         */
/*                                                                           */
/* Permission is hereby granted, free of charge, to any person obtaining a   */
/* copy of this software (the "Software"), to deal in the Software without   */
/* restriction, including without limitation the rights to use, copy,        */
/* modify, merge, publish, distribute, sublicense, and/or sell copies of     */
/* the Software, and to permit persons to whom the Software is furnished     */
/* to do so, subject to the following conditions:                            */
/*                                                                           */
/* The above copyright notice and this permission notice shall be included   */
/* in all copies or substantial portions of the Software.                    */
/*                                                                           */
/* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS   */
/* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF                */
/* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.    */
/* IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY      */
/* CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT */
/* OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR  */
/* THE USE OR OTHER DEALINGS IN THE SOFTWARE.                                */
/*                                                                           */
/* ------------------------------------------------------------------------- */
/*                                                                           */
/* File revision information                                                 */
/*                                                                           */
/* $Source: /mnt/cvslocal/sdk4/java/org/opengroup/arm40/transaction/ArmID.java,v $ */
/* $Revision: 1.1 $ */
/* $Date: 2005/03/14 15:14:53 $ */
/*                                                                           */
/* ------------------------------------------------------------------------- */



package org.opengroup.arm40.transaction;

/**
 * Implements an immutable wrapper around a 16-byte ID.
 * 
 * IDs may be used to identify metadata about applications, transactions, 
 * metrics, systems, and users. The ID may be a standard DCE UUID 
 * (universally unique identifier) but need not be. Any unique 16-byte value 
 * will suffice. There is no central registry of IDs that would guarantee 
 * uniqueness. Programs creating these IDs are expected to use an algorithm 
 * that will take advantage of the available 128 bits to create an ID for 
 * which there will be a vanishingly small probability of its being a 
 * duplicate of an ID created by another program. 
 * <p/>
 * This interface was named <code>ArmUUID</code> in ARM 3.0. 
 * There are no other changes for ARM 4.0.
 * <p/> 
 * Objects implementing this interface are created using 
 * {@link ArmTransactionFactory#newArmID}, whose input 
 * is the 16 bytes in a byte array.
 * <p/>
 * Implementations of this interface should also override 
 * <code>equals()</code> and <code>hashCode()</code> from 
 * <code>java.lang.Object</code>.
 * 
 * @author ARM Working Group of The Open Group
 */
public interface ArmID extends ArmToken {

// No Public Constructors

// No Public Instance Methods added.
	
}
